._mixin_btn_core(
    @btn-padding,
    @font-family,
    @font-size,
    @font-weight,
    @letter-spacing,
    @text-transform
) {
    padding: @btn-padding;
    & .btn__title {
        font-family: @font-family;
        font-size: @font-size;
        font-weight: @font-weight;
        letter-spacing: @letter-spacing;
        text-transform: @text-transform;
    }
}

._mixin_btn_color(
    @color,
    @color_hover,
    @color_focus,
    @color_active
) {
    color: @color;
    fill:@color;
    &:hover,
    &.btn_hover {
        color: @color_hover;
        fill:@color_hover;
    }
    &:focus,
    &.btn_focus {
        color: @color_focus;
        fill:@color_focus;
    }
    &:active,
    &.btn_active {
        color: @color_active;
        fill: @color_active;
    }
}

._mixin_btn_background(
    @bg,
    @bg_hover,
    @bg_focus,
    @bg_active
) {
    background-color: @bg;
    &:hover,
    &.btn_hover {
        background-color: @bg_hover;
    }
    &:focus,
    &.btn_focus {
        background-color: @bg_focus;
    }
    &:active,
    &.btn_active {
        background-color: @bg_active;
    }
}

._mixin_btn_border(
    @border-width,
    @border-style,
    @border-color,
    @border-color_hover,
    @border-color_focus,
    @border-color_active
) {
    & {
        border: @border-width @border-style @border-color;
    }
    &:hover,
    &.btn_hover {
        border-color: @border-color_hover;
    }
    &:focus,
    &.btn_focus {
        border-color: @border-color_focus;
    }
    &:active,
    &.btn_active {
        border-color: @border-color_active;
    }
}
